/**
 * API du serveur de l'application de digitalisation des EP
 * API qui sra utilisée afin de faire communiquer le client et le serveur ainsi que le serveur et la boîte noire.
 *
 * OpenAPI spec version: 1.2.0
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ParticipationFormationModel } from './participationFormationModel';

export interface FormationModel {
    id: number;
    intitule: string;
    origine?: string;
    statut?: FormationModel.StatutEnum;
    dateDebut: Date;
    dateFin: Date;
    heure: number;
    jour: number;
    organisme: string;
    mode: string;
    type: FormationModel.TypeEnum;
    estCertifie: boolean;
    participantsFormation?: Array<ParticipationFormationModel>;
}
export namespace FormationModel {
    export type StatutEnum = 'Planifiée' | 'Replanifiée' | 'Réalisée' | 'Annulée';
    export const StatutEnum = {
        Planifie: 'Planifiée' as StatutEnum,
        Replanifie: 'Replanifiée' as StatutEnum,
        Realise: 'Réalisée' as StatutEnum,
        Annule: 'Annulée' as StatutEnum
    };
    export type ModeEnum = 'Présentiel' | 'Visioconférence';
    export const ModeEnum = {
        Presentiel: 'Présentiel' as ModeEnum,
        Visioconference: 'Visioconférence' as ModeEnum
    };
    export type TypeEnum = 'Externe' | 'Interne';
    export const TypeEnum = {
        Externe: 'Externe' as TypeEnum,
        Interne: 'Interne' as TypeEnum
    };
}
